function [W,whiteningMatrix,dewhiteningMatrix]=CCestimation(X,Winit,H,rdim,op)
% logarithmic transform
X=logarithm(X);

% removing DC components;
X=removeDC(X);
 
% whitening and dimensionality reduction
[X,whiteningMatrix, dewhiteningMatrix] = whitening(X,rdim);

% esitmation 
W=estimation(Winit,X,H,op);
